com.amazonaws.services.machinelearning

## Class AbstractAmazonMachineLearning

- java.lang.Object
- - com.amazonaws.services.machinelearning.AbstractAmazonMachineLearning

All Implemented Interfaces:
  AmazonMachineLearning

Direct Known Subclasses:
  AbstractAmazonMachineLearningAsync

    public class AbstractAmazonMachineLearning
    extends Object
    implements AmazonMachineLearning

Abstract implementation of `AmazonMachineLearning`. Convenient method forms pass through to the corresponding overload that takes a request object, which throws an `UnsupportedOperationException`.

### Field Summary

### Fields inherited from interface com.amazonaws.services.machinelearning.AmazonMachineLearning

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
`protected` `AbstractAmazonMachineLearning()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AddTagsResult` `addTags(AddTagsRequest request)` Adds one or more tags to an object, up to a limit of 10.
`CreateBatchPredictionResult` `createBatchPrediction(CreateBatchPredictionRequest request)` Generates predictions for a group of observations.
`CreateDataSourceFromRDSResult` `createDataSourceFromRDS(CreateDataSourceFromRDSRequest request)` Creates a `DataSource` object from an Amazon Relational Database Service (Amazon RDS).
`CreateDataSourceFromRedshiftResult` `createDataSourceFromRedshift(CreateDataSourceFromRedshiftRequest request)` Creates a `DataSource` from a database hosted on an Amazon Redshift cluster.
`CreateDataSourceFromS3Result` `createDataSourceFromS3(CreateDataSourceFromS3Request request)` Creates a `DataSource` object.
`CreateEvaluationResult` `createEvaluation(CreateEvaluationRequest request)` Creates a new `Evaluation` of an `MLModel`.
`CreateMLModelResult` `createMLModel(CreateMLModelRequest request)` Creates a new `MLModel` using the `DataSource` and the recipe as information sources.
`CreateRealtimeEndpointResult` `createRealtimeEndpoint(CreateRealtimeEndpointRequest request)` Creates a real-time endpoint for the `MLModel`.
`DeleteBatchPredictionResult` `deleteBatchPrediction(DeleteBatchPredictionRequest request)` Assigns the DELETED status to a `BatchPrediction`, rendering it unusable.
`DeleteDataSourceResult` `deleteDataSource(DeleteDataSourceRequest request)` Assigns the DELETED status to a `DataSource`, rendering it unusable.
`DeleteEvaluationResult` `deleteEvaluation(DeleteEvaluationRequest request)` Assigns the `DELETED` status to an `Evaluation`, rendering it unusable.
`DeleteMLModelResult` `deleteMLModel(DeleteMLModelRequest request)` Assigns the `DELETED` status to an `MLModel`, rendering it unusable.
`DeleteRealtimeEndpointResult` `deleteRealtimeEndpoint(DeleteRealtimeEndpointRequest request)` Deletes a real time endpoint of an `MLModel`.
`DeleteTagsResult` `deleteTags(DeleteTagsRequest request)` Deletes the specified tags associated with an ML object.
`DescribeBatchPredictionsResult` `describeBatchPredictions()` Simplified method form for invoking the DescribeBatchPredictions operation.
`DescribeBatchPredictionsResult` `describeBatchPredictions(DescribeBatchPredictionsRequest request)` Returns a list of `BatchPrediction` operations that match the search criteria in the request.
`DescribeDataSourcesResult` `describeDataSources()` Simplified method form for invoking the DescribeDataSources operation.
`DescribeDataSourcesResult` `describeDataSources(DescribeDataSourcesRequest request)` Returns a list of `DataSource` that match the search criteria in the request.
`DescribeEvaluationsResult` `describeEvaluations()` Simplified method form for invoking the DescribeEvaluations operation.
`DescribeEvaluationsResult` `describeEvaluations(DescribeEvaluationsRequest request)` Returns a list of `DescribeEvaluations` that match the search criteria in the request.
`DescribeMLModelsResult` `describeMLModels()` Simplified method form for invoking the DescribeMLModels operation.
`DescribeMLModelsResult` `describeMLModels(DescribeMLModelsRequest request)` Returns a list of `MLModel` that match the search criteria in the request.
`DescribeTagsResult` `describeTags(DescribeTagsRequest request)` Describes one or more of the tags for your Amazon ML object.
`GetBatchPredictionResult` `getBatchPrediction(GetBatchPredictionRequest request)` Returns a `BatchPrediction` that includes detailed metadata, status, and data file information for a `Batch Prediction` request.
`ResponseMetadata` `getCachedResponseMetadata(AmazonWebServiceRequest request)` Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected.
`GetDataSourceResult` `getDataSource(GetDataSourceRequest request)` Returns a `DataSource` that includes metadata and data file information, as well as the current status of the `DataSource`.
`GetEvaluationResult` `getEvaluation(GetEvaluationRequest request)` Returns an `Evaluation` that includes metadata as well as the current status of the `Evaluation`.
`GetMLModelResult` `getMLModel(GetMLModelRequest request)` Returns an `MLModel` that includes detailed metadata, data source information, and the current status of the `MLModel`.
`PredictResult` `predict(PredictRequest request)` Generates a prediction for the observation using the specified `ML Model`.
`void` `setEndpoint(String endpoint)` Overrides the default endpoint for this client ("https://machinelearning.us-east-1.amazonaws.com").
`void` `setRegion(Region region)` An alternative to `AmazonMachineLearning.setEndpoint(String)`, sets the regional endpoint for this client's service calls.
`void` `shutdown()` Shuts down this client object, releasing any resources that might be held open.
`UpdateBatchPredictionResult` `updateBatchPrediction(UpdateBatchPredictionRequest request)` Updates the `BatchPredictionName` of a `BatchPrediction`.
`UpdateDataSourceResult` `updateDataSource(UpdateDataSourceRequest request)` Updates the `DataSourceName` of a `DataSource`.
`UpdateEvaluationResult` `updateEvaluation(UpdateEvaluationRequest request)` Updates the `EvaluationName` of an `Evaluation`.
`UpdateMLModelResult` `updateMLModel(UpdateMLModelRequest request)` Updates the `MLModelName` and the `ScoreThreshold` of an `MLModel`.
`AmazonMachineLearningWaiters` `waiters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAmazonMachineLearning

    protected AbstractAmazonMachineLearning()

### Method Detail

#### setEndpoint

    public void setEndpoint(String endpoint)

Description copied from interface: `AmazonMachineLearning`
Overrides the default endpoint for this client ("https://machinelearning.us-east-1.amazonaws.com"). Callers can use this method to control which AWS region they want to work with.

Callers can pass in just the endpoint (ex: "machinelearning.us-east-1.amazonaws.com") or a full URL, including the protocol (ex: "https://machinelearning.us-east-1.amazonaws.com"). If the protocol is not specified here, the default protocol from this client's `ClientConfiguration` will be used, which by default is HTTPS.

For more information on using AWS regions with the AWS SDK for Java, and a complete list of all available endpoints for all AWS services, see: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=3912

This method is not threadsafe. An endpoint should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setEndpoint` in interface `AmazonMachineLearning`
Parameters:
  `endpoint` - The endpoint (ex: "machinelearning.us-east-1.amazonaws.com") or a full URL, including the protocol (ex: "https://machinelearning.us-east-1.amazonaws.com") of the region specific AWS endpoint this client will communicate with.

#### setRegion

    public void setRegion(Region region)

Description copied from interface: `AmazonMachineLearning`
An alternative to `AmazonMachineLearning.setEndpoint(String)`, sets the regional endpoint for this client's service calls. Callers can use this method to control which AWS region they want to work with.

By default, all service endpoints in all regions use the https protocol. To use http instead, specify it in the `ClientConfiguration` supplied at construction.

This method is not threadsafe. A region should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setRegion` in interface `AmazonMachineLearning`
Parameters:
  `region` - The region this client will communicate with. See `Region.getRegion(com.amazonaws.regions.Regions)` for accessing a given region. Must not be null and must be a region where the service is available.
See Also:
  `Region.getRegion(com.amazonaws.regions.Regions)`, `Region.createClient(Class, com.amazonaws.auth.AWSCredentialsProvider, ClientConfiguration)`, `Region.isServiceSupported(String)`

#### addTags

    public AddTagsResult addTags(AddTagsRequest request)

Description copied from interface: `AmazonMachineLearning`

Adds one or more tags to an object, up to a limit of 10. Each tag consists of a key and an optional value. If you add a tag using a key that is already associated with the ML object, `AddTags` updates the tag's value.

Specified by:
  `addTags` in interface `AmazonMachineLearning`
Returns:
  Result of the AddTags operation returned by the service.

#### createBatchPrediction

    public CreateBatchPredictionResult createBatchPrediction(CreateBatchPredictionRequest request)

Description copied from interface: `AmazonMachineLearning`

Generates predictions for a group of observations. The observations to process exist in one or more data files referenced by a `DataSource`. This operation creates a new `BatchPrediction`, and uses an `MLModel` and the data files referenced by the `DataSource` as information sources.

`CreateBatchPrediction` is an asynchronous operation. In response to `CreateBatchPrediction`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `BatchPrediction` status to `PENDING`. After the `BatchPrediction` completes, Amazon ML sets the status to `COMPLETED`.

You can poll for status updates by using the GetBatchPrediction operation and checking the `Status` parameter of the result. After the `COMPLETED` status appears, the results are available in the location specified by the `OutputUri` parameter.

Specified by:
  `createBatchPrediction` in interface `AmazonMachineLearning`
Returns:
  Result of the CreateBatchPrediction operation returned by the service.

#### createDataSourceFromRDS

    public CreateDataSourceFromRDSResult createDataSourceFromRDS(CreateDataSourceFromRDSRequest request)

Description copied from interface: `AmazonMachineLearning`

Creates a `DataSource` object from an Amazon Relational Database Service (Amazon RDS). A `DataSource` references data that can be used to perform `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromRDS` is an asynchronous operation. In response to `CreateDataSourceFromRDS`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` is created and ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in the `COMPLETED` or `PENDING` state can be used only to perform `>CreateMLModel`>, `CreateEvaluation`, or `CreateBatchPrediction` operations.

If Amazon ML cannot accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

Specified by:
  `createDataSourceFromRDS` in interface `AmazonMachineLearning`
Returns:
  Result of the CreateDataSourceFromRDS operation returned by the service.

#### createDataSourceFromRedshift

    public CreateDataSourceFromRedshiftResult createDataSourceFromRedshift(CreateDataSourceFromRedshiftRequest request)

Description copied from interface: `AmazonMachineLearning`

Creates a `DataSource` from a database hosted on an Amazon Redshift cluster. A `DataSource` references data that can be used to perform either `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromRedshift` is an asynchronous operation. In response to `CreateDataSourceFromRedshift`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` is created and ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in `COMPLETED` or `PENDING` states can be used to perform only `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

If Amazon ML can't accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

The observations should be contained in the database hosted on an Amazon Redshift cluster and should be specified by a `SelectSqlQuery` query. Amazon ML executes an `Unload` command in Amazon Redshift to transfer the result set of the `SelectSqlQuery` query to `S3StagingLocation`.

After the `DataSource` has been created, it's ready for use in evaluations and batch predictions. If you plan to use the `DataSource` to train an `MLModel`, the `DataSource` also requires a recipe. A recipe describes how each input variable will be used in training an `MLModel`. Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions.

You can't change an existing datasource, but you can copy and modify the settings from an existing Amazon Redshift datasource to create a new datasource. To do so, call `GetDataSource` for an existing datasource and copy the values to a `CreateDataSource` call. Change the settings that you want to change and make sure that all required fields have the appropriate values.

Specified by:
  `createDataSourceFromRedshift` in interface `AmazonMachineLearning`
Returns:
  Result of the CreateDataSourceFromRedshift operation returned by the service.

#### createDataSourceFromS3

    public CreateDataSourceFromS3Result createDataSourceFromS3(CreateDataSourceFromS3Request request)

Description copied from interface: `AmazonMachineLearning`

Creates a `DataSource` object. A `DataSource` references data that can be used to perform `CreateMLModel`, `CreateEvaluation`, or `CreateBatchPrediction` operations.

`CreateDataSourceFromS3` is an asynchronous operation. In response to `CreateDataSourceFromS3`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `DataSource` status to `PENDING`. After the `DataSource` has been created and is ready for use, Amazon ML sets the `Status` parameter to `COMPLETED`. `DataSource` in the `COMPLETED` or `PENDING` state can be used to perform only `CreateMLModel`, `CreateEvaluation` or `CreateBatchPrediction` operations.

If Amazon ML can't accept the input source, it sets the `Status` parameter to `FAILED` and includes an error message in the `Message` attribute of the `GetDataSource` operation response.

The observation data used in a `DataSource` should be ready to use; that is, it should have a consistent structure, and missing data values should be kept to a minimum. The observation data must reside in one or more .csv files in an Amazon Simple Storage Service (Amazon S3) location, along with a schema that describes the data items by name and type. The same schema must be used for all of the data files referenced by the `DataSource`.

After the `DataSource` has been created, it's ready to use in evaluations and batch predictions. If you plan to use the `DataSource` to train an `MLModel`, the `DataSource` also needs a recipe. A recipe describes how each input variable will be used in training an `MLModel`. Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions.

Specified by:
  `createDataSourceFromS3` in interface `AmazonMachineLearning`
Returns:
  Result of the CreateDataSourceFromS3 operation returned by the service.

#### createEvaluation

    public CreateEvaluationResult createEvaluation(CreateEvaluationRequest request)

Description copied from interface: `AmazonMachineLearning`

Creates a new `Evaluation` of an `MLModel`. An `MLModel` is evaluated on a set of observations associated to a `DataSource`. Like a `DataSource` for an `MLModel`, the `DataSource` for an `Evaluation` contains values for the `Target Variable`. The `Evaluation` compares the predicted result for each observation to the actual outcome and provides a summary so that you know how effective the `MLModel` functions on the test data. Evaluation generates a relevant performance metric, such as BinaryAUC, RegressionRMSE or MulticlassAvgFScore based on the corresponding `MLModelType`: `BINARY`, `REGRESSION` or `MULTICLASS`.

`CreateEvaluation` is an asynchronous operation. In response to `CreateEvaluation`, Amazon Machine Learning (Amazon ML) immediately returns and sets the evaluation status to `PENDING`. After the `Evaluation` is created and ready for use, Amazon ML sets the status to `COMPLETED`.

You can use the `GetEvaluation` operation to check progress of the evaluation during the creation operation.

Specified by:
  `createEvaluation` in interface `AmazonMachineLearning`
Returns:
  Result of the CreateEvaluation operation returned by the service.

#### createMLModel

    public CreateMLModelResult createMLModel(CreateMLModelRequest request)

Description copied from interface: `AmazonMachineLearning`

Creates a new `MLModel` using the `DataSource` and the recipe as information sources.

An `MLModel` is nearly immutable. Users can update only the `MLModelName` and the `ScoreThreshold` in an `MLModel` without creating a new `MLModel`.

`CreateMLModel` is an asynchronous operation. In response to `CreateMLModel`, Amazon Machine Learning (Amazon ML) immediately returns and sets the `MLModel` status to `PENDING` . After the `MLModel` has been created and ready is for use, Amazon ML sets the status to `COMPLETED`.

You can use the `GetMLModel` operation to check the progress of the `MLModel` during the creation operation.

`CreateMLModel` requires a `DataSource` with computed statistics, which can be created by setting `ComputeStatistics` to `true` in `CreateDataSourceFromRDS`, `CreateDataSourceFromS3`, or `CreateDataSourceFromRedshift` operations.

Specified by:
  `createMLModel` in interface `AmazonMachineLearning`
Returns:
  Result of the CreateMLModel operation returned by the service.

#### createRealtimeEndpoint

    public CreateRealtimeEndpointResult createRealtimeEndpoint(CreateRealtimeEndpointRequest request)

Description copied from interface: `AmazonMachineLearning`

Creates a real-time endpoint for the `MLModel`. The endpoint contains the URI of the `MLModel`; that is, the location to send real-time prediction requests for the specified `MLModel`.

Specified by:
  `createRealtimeEndpoint` in interface `AmazonMachineLearning`
Returns:
  Result of the CreateRealtimeEndpoint operation returned by the service.

#### deleteBatchPrediction

    public DeleteBatchPredictionResult deleteBatchPrediction(DeleteBatchPredictionRequest request)

Description copied from interface: `AmazonMachineLearning`

Assigns the DELETED status to a `BatchPrediction`, rendering it unusable.

After using the `DeleteBatchPrediction` operation, you can use the GetBatchPrediction operation to verify that the status of the `BatchPrediction` changed to DELETED.

Caution: The result of the `DeleteBatchPrediction` operation is irreversible.

Specified by:
  `deleteBatchPrediction` in interface `AmazonMachineLearning`
Returns:
  Result of the DeleteBatchPrediction operation returned by the service.

#### deleteDataSource

    public DeleteDataSourceResult deleteDataSource(DeleteDataSourceRequest request)

Description copied from interface: `AmazonMachineLearning`

Assigns the DELETED status to a `DataSource`, rendering it unusable.

After using the `DeleteDataSource` operation, you can use the GetDataSource operation to verify that the status of the `DataSource` changed to DELETED.

Caution: The results of the `DeleteDataSource` operation are irreversible.

Specified by:
  `deleteDataSource` in interface `AmazonMachineLearning`
Returns:
  Result of the DeleteDataSource operation returned by the service.

#### deleteEvaluation

    public DeleteEvaluationResult deleteEvaluation(DeleteEvaluationRequest request)

Description copied from interface: `AmazonMachineLearning`

Assigns the `DELETED` status to an `Evaluation`, rendering it unusable.

After invoking the `DeleteEvaluation` operation, you can use the `GetEvaluation` operation to verify that the status of the `Evaluation` changed to `DELETED`.

<caution>Caution

The results of the `DeleteEvaluation` operation are irreversible.

</caution>

Specified by:
  `deleteEvaluation` in interface `AmazonMachineLearning`
Returns:
  Result of the DeleteEvaluation operation returned by the service.

#### deleteMLModel

    public DeleteMLModelResult deleteMLModel(DeleteMLModelRequest request)

Description copied from interface: `AmazonMachineLearning`

Assigns the `DELETED` status to an `MLModel`, rendering it unusable.

After using the `DeleteMLModel` operation, you can use the `GetMLModel` operation to verify that the status of the `MLModel` changed to DELETED.

Caution: The result of the `DeleteMLModel` operation is irreversible.

Specified by:
  `deleteMLModel` in interface `AmazonMachineLearning`
Returns:
  Result of the DeleteMLModel operation returned by the service.

#### deleteRealtimeEndpoint

    public DeleteRealtimeEndpointResult deleteRealtimeEndpoint(DeleteRealtimeEndpointRequest request)

Description copied from interface: `AmazonMachineLearning`

Deletes a real time endpoint of an `MLModel`.

Specified by:
  `deleteRealtimeEndpoint` in interface `AmazonMachineLearning`
Returns:
  Result of the DeleteRealtimeEndpoint operation returned by the service.

#### deleteTags

    public DeleteTagsResult deleteTags(DeleteTagsRequest request)

Description copied from interface: `AmazonMachineLearning`

Deletes the specified tags associated with an ML object. After this operation is complete, you can't recover deleted tags.

If you specify a tag that doesn't exist, Amazon ML ignores it.

Specified by:
  `deleteTags` in interface `AmazonMachineLearning`
Returns:
  Result of the DeleteTags operation returned by the service.

#### describeBatchPredictions

    public DescribeBatchPredictionsResult describeBatchPredictions(DescribeBatchPredictionsRequest request)

Description copied from interface: `AmazonMachineLearning`

Returns a list of `BatchPrediction` operations that match the search criteria in the request.

Specified by:
  `describeBatchPredictions` in interface `AmazonMachineLearning`
Returns:
  Result of the DescribeBatchPredictions operation returned by the service.

#### describeBatchPredictions

    public DescribeBatchPredictionsResult describeBatchPredictions()

Description copied from interface: `AmazonMachineLearning`
Simplified method form for invoking the DescribeBatchPredictions operation.

Specified by:
  `describeBatchPredictions` in interface `AmazonMachineLearning`
See Also:
  `AmazonMachineLearning.describeBatchPredictions(DescribeBatchPredictionsRequest)`

#### describeDataSources

    public DescribeDataSourcesResult describeDataSources(DescribeDataSourcesRequest request)

Description copied from interface: `AmazonMachineLearning`

Returns a list of `DataSource` that match the search criteria in the request.

Specified by:
  `describeDataSources` in interface `AmazonMachineLearning`
Returns:
  Result of the DescribeDataSources operation returned by the service.

#### describeDataSources

    public DescribeDataSourcesResult describeDataSources()

Description copied from interface: `AmazonMachineLearning`
Simplified method form for invoking the DescribeDataSources operation.

Specified by:
  `describeDataSources` in interface `AmazonMachineLearning`
See Also:
  `AmazonMachineLearning.describeDataSources(DescribeDataSourcesRequest)`

#### describeEvaluations

    public DescribeEvaluationsResult describeEvaluations(DescribeEvaluationsRequest request)

Description copied from interface: `AmazonMachineLearning`

Returns a list of `DescribeEvaluations` that match the search criteria in the request.

Specified by:
  `describeEvaluations` in interface `AmazonMachineLearning`
Returns:
  Result of the DescribeEvaluations operation returned by the service.

#### describeEvaluations

    public DescribeEvaluationsResult describeEvaluations()

Description copied from interface: `AmazonMachineLearning`
Simplified method form for invoking the DescribeEvaluations operation.

Specified by:
  `describeEvaluations` in interface `AmazonMachineLearning`
See Also:
  `AmazonMachineLearning.describeEvaluations(DescribeEvaluationsRequest)`

#### describeMLModels

    public DescribeMLModelsResult describeMLModels(DescribeMLModelsRequest request)

Description copied from interface: `AmazonMachineLearning`

Returns a list of `MLModel` that match the search criteria in the request.

Specified by:
  `describeMLModels` in interface `AmazonMachineLearning`
Returns:
  Result of the DescribeMLModels operation returned by the service.

#### describeMLModels

    public DescribeMLModelsResult describeMLModels()

Description copied from interface: `AmazonMachineLearning`
Simplified method form for invoking the DescribeMLModels operation.

Specified by:
  `describeMLModels` in interface `AmazonMachineLearning`
See Also:
  `AmazonMachineLearning.describeMLModels(DescribeMLModelsRequest)`

#### describeTags

    public DescribeTagsResult describeTags(DescribeTagsRequest request)

Description copied from interface: `AmazonMachineLearning`

Describes one or more of the tags for your Amazon ML object.

Specified by:
  `describeTags` in interface `AmazonMachineLearning`
Returns:
  Result of the DescribeTags operation returned by the service.

#### getBatchPrediction

    public GetBatchPredictionResult getBatchPrediction(GetBatchPredictionRequest request)

Description copied from interface: `AmazonMachineLearning`

Returns a `BatchPrediction` that includes detailed metadata, status, and data file information for a `Batch Prediction` request.

Specified by:
  `getBatchPrediction` in interface `AmazonMachineLearning`
Returns:
  Result of the GetBatchPrediction operation returned by the service.

#### getDataSource

    public GetDataSourceResult getDataSource(GetDataSourceRequest request)

Description copied from interface: `AmazonMachineLearning`

Returns a `DataSource` that includes metadata and data file information, as well as the current status of the `DataSource`.

`GetDataSource` provides results in normal or verbose format. The verbose format adds the schema description and the list of files pointed to by the DataSource to the normal format.

Specified by:
  `getDataSource` in interface `AmazonMachineLearning`
Returns:
  Result of the GetDataSource operation returned by the service.

#### getEvaluation

    public GetEvaluationResult getEvaluation(GetEvaluationRequest request)

Description copied from interface: `AmazonMachineLearning`

Returns an `Evaluation` that includes metadata as well as the current status of the `Evaluation`.

Specified by:
  `getEvaluation` in interface `AmazonMachineLearning`
Returns:
  Result of the GetEvaluation operation returned by the service.

#### getMLModel

    public GetMLModelResult getMLModel(GetMLModelRequest request)

Description copied from interface: `AmazonMachineLearning`

Returns an `MLModel` that includes detailed metadata, data source information, and the current status of the `MLModel`.

`GetMLModel` provides results in normal or verbose format.

Specified by:
  `getMLModel` in interface `AmazonMachineLearning`
Returns:
  Result of the GetMLModel operation returned by the service.

#### predict

    public PredictResult predict(PredictRequest request)

Description copied from interface: `AmazonMachineLearning`

Generates a prediction for the observation using the specified `ML Model`.

<note>Note

Not all response parameters will be populated. Whether a response parameter is populated depends on the type of model requested.

</note>

Specified by:
  `predict` in interface `AmazonMachineLearning`
Returns:
  Result of the Predict operation returned by the service.

#### updateBatchPrediction

    public UpdateBatchPredictionResult updateBatchPrediction(UpdateBatchPredictionRequest request)

Description copied from interface: `AmazonMachineLearning`

Updates the `BatchPredictionName` of a `BatchPrediction`.

You can use the `GetBatchPrediction` operation to view the contents of the updated data element.

Specified by:
  `updateBatchPrediction` in interface `AmazonMachineLearning`
Returns:
  Result of the UpdateBatchPrediction operation returned by the service.

#### updateDataSource

    public UpdateDataSourceResult updateDataSource(UpdateDataSourceRequest request)

Description copied from interface: `AmazonMachineLearning`

Updates the `DataSourceName` of a `DataSource`.

You can use the `GetDataSource` operation to view the contents of the updated data element.

Specified by:
  `updateDataSource` in interface `AmazonMachineLearning`
Returns:
  Result of the UpdateDataSource operation returned by the service.

#### updateEvaluation

    public UpdateEvaluationResult updateEvaluation(UpdateEvaluationRequest request)

Description copied from interface: `AmazonMachineLearning`

Updates the `EvaluationName` of an `Evaluation`.

You can use the `GetEvaluation` operation to view the contents of the updated data element.

Specified by:
  `updateEvaluation` in interface `AmazonMachineLearning`
Returns:
  Result of the UpdateEvaluation operation returned by the service.

#### updateMLModel

    public UpdateMLModelResult updateMLModel(UpdateMLModelRequest request)

Description copied from interface: `AmazonMachineLearning`

Updates the `MLModelName` and the `ScoreThreshold` of an `MLModel`.

You can use the `GetMLModel` operation to view the contents of the updated data element.

Specified by:
  `updateMLModel` in interface `AmazonMachineLearning`
Returns:
  Result of the UpdateMLModel operation returned by the service.

#### shutdown

    public void shutdown()

Description copied from interface: `AmazonMachineLearning`
Shuts down this client object, releasing any resources that might be held open. This is an optional method, and callers are not expected to call it, but can if they want to explicitly release any open resources. Once a client has been shutdown, it should not be used to make any more requests.

Specified by:
  `shutdown` in interface `AmazonMachineLearning`

#### getCachedResponseMetadata

    public ResponseMetadata getCachedResponseMetadata(AmazonWebServiceRequest request)

Description copied from interface: `AmazonMachineLearning`
Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected. This data isn't considered part of the result data returned by an operation, so it's available through this separate, diagnostic interface.

Response metadata is only cached for a limited period of time, so if you need to access this extra diagnostic information for an executed request, you should use this method to retrieve it as soon as possible after executing a request.

Specified by:
  `getCachedResponseMetadata` in interface `AmazonMachineLearning`
Parameters:
  `request` - The originally executed request.
Returns:
  The response metadata for the specified request, or null if none is available.

#### waiters

    public AmazonMachineLearningWaiters waiters()

Specified by:
  `waiters` in interface `AmazonMachineLearning`